#include <iostream>
#include <stdio.h>
#include <stdlib.h>

using namespace std;

int main()
{
    long N, K;
    scanf("%ld%ld",&N,&K);
    bool zameniti[N * 2 + 1];
    long kolicina[N * 2 + 1];
    long ukupno = 0;

    for(long i = 0; i < N * 2 + 1; i++)
    {
        zameniti[i] = false;
        kolicina[i] = 0;
    }

    long Ai;
    for(long i = 0; i < N; i++)
    {
        scanf("%ld", &Ai);
        if(zameniti[Ai + N] == false)
        {
            kolicina[Ai + N]++;
            if(kolicina[Ai + N] >= K)
            {
                zameniti[Ai + N] = true;
                ukupno++;
            }
        }
    }

    printf("%ld\n", ukupno);
    for(long i = 0; i < N * 2 + 1; i++)
    {
        if(zameniti[i] == true)
        {
            printf("%ld ", i - N);
        }
    }

}